Page MenuHomePhabricator

[DO NOT MERGE] added FileCheck colons that broke things
Needs ReviewPublic

Authored by jroelofs on Apr 2 2020, 5:34 PM.

Details

Reviewers
JDevlieghere
Summary

This is a series of "fixes" for missing FileCheck directive colons found by https://reviews.llvm.org/D77227 that ended up breaking the offending test. More diagnosis definitely needed.

Diff Detail

Unit TestsFailed

TimeTest
70 msLLVM.Transforms/SampleProfile::gcc-simple.ll
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/opt < /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/Transforms/SampleProfile/gcc-simple.ll -sample-profile -sample-profile-file=/mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/Transforms/SampleProfile/Inputs/gcc-simple.afdo -S | /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/FileCheck /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/Transforms/SampleProfile/gcc-simple.ll
50 msLLVM.tools/dsymutil/X86::modules.m
Script: -- : 'RUN: at line 21'; /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/dsymutil -f -oso-prepend-path=/mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/tools/dsymutil/X86/../Inputs/modules -y /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/tools/dsymutil/X86/dummy-debug-map.map -o - | /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/llvm-dwarfdump -v --debug-info - | /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/build/bin/FileCheck /mnt/disks/ssd0/agent/workspace/amd64_debian_testing_clang8/llvm/test/tools/dsymutil/X86/modules.m

Event Timeline

jroelofs created this revision.Apr 2 2020, 5:34 PM
foad added a subscriber: foad.Apr 3 2020, 2:20 AM

I have fixed some of the obvious mistakes in CodeGen/AMDGPU.

I have fixed MIPS-related mistakes at rGf22445b. Thanks for finding them.

I have fixed some of the obvious mistakes in CodeGen/AMDGPU.

I have fixed MIPS-related mistakes at rGf22445b. Thanks for finding them.

Thank you both!

For my own reference later:

c7e1fc8496dc2c6289c803f89d7a9eae9c2cbd01
f22445bf57606ffc9914777c228936d4b3f8140d

jdenny added a subscriber: jdenny.Apr 3 2020, 8:20 AM
RKSimon added a subscriber: RKSimon.Apr 3 2020, 8:22 AM

@jroelofs please can you rebase to see what test are still broken?

@jroelofs Please can you rebase again? I think I've dealt with all the low hanging fruit now, so you will probably have to git blame to find code owners to help fix the remaining issues.

jroelofs updated this revision to Diff 256613.Apr 10 2020, 10:55 AM

rebased

Thanks for all the fixes everyone!

@atanasyan there's one more case of this in llvm/test/CodeGen/Mips/ci2.ll. Looks like the constant has been de-duplicated since that test was written. Mind checking whether that's correct behavior for your target? (it does seem better, but I don't want to assume).

diff --git a/llvm/test/CodeGen/Mips/ci2.ll b/llvm/test/CodeGen/Mips/ci2.ll
index 5e6b7814d5e..1b07df371eb 100644
--- a/llvm/test/CodeGen/Mips/ci2.ll
+++ b/llvm/test/CodeGen/Mips/ci2.ll
@@ -1,4 +1,4 @@
-; RUN: llc -mtriple=mipsel-linux-gnu -march=mipsel -mattr=mips16 -mattr=+soft-float -mips16-hard-float -relocation-model=static -mips16-constant-islands   < %s | FileCheck %s -check-prefix=constisle
+; RUN: llc -mtriple=mipsel-linux-gnu -march=mipsel -mattr=mips16 -mattr=+soft-float -mips16-hard-float -relocation-model=static -mips16-constant-islands   < %s | FileCheck %s -check-prefix=CONSTISLE
 
 @i = common global i32 0, align 4
 @b = common global i32 0, align 4
@@ -24,13 +24,11 @@ if.end:                                           ; preds = %if.else, %if.then
   call void asm sideeffect ".space 100000", ""() #1, !srcloc !1
   store i32 305419896, i32* @l, align 4
   ret void
-; constisle: $CPI0_1:
-; constisle	.4byte	305419896               # 0x12345678
-; constisle	#APP
-; constisle	.space 100000
-; constisle	#NO_APP
-; constisle $CPI0_0:
-; constisle	.4byte	305419896               # 0x12345678
+; CONSTISLE: $CPI0_1:
+; CONSTISLE:    .4byte    305419896               # 0x12345678
+; CONSTISLE:    #APP
+; CONSTISLE:    .space 100000
+; CONSTISLE:    #NO_APP
 }
 
 attributes #0 = { nounwind "less-precise-fpmad"="false" "frame-pointer"="all" "no-infs-fp-math"="false" "no-nans-fp-math"="false" "stack-protector-buffer-size"="8" "unsafe-fp-math"="false" "use-soft-float"="false" }